package com.zm.order.tool.server.response;

import com.alibaba.fastjson.JSON;

/**
 * @Description 简短的订单折扣
 * @Author: ph
 * @Date: 2019/12/3 09:33
 */
public class InnerOrderDiscount {

    private String discountId;

    private Integer discountType;

    private String discountName;

    private String discountSummary;

    private Integer discountAmount;

    public String getDiscountId() {
        return discountId;
    }

    public void setDiscountId(String discountId) {
        this.discountId = discountId;
    }

    public Integer getDiscountType() {
        return discountType;
    }

    public void setDiscountType(Integer discountType) {
        this.discountType = discountType;
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    public String getDiscountSummary() {
        return discountSummary;
    }

    public void setDiscountSummary(String discountSummary) {
        this.discountSummary = discountSummary;
    }

    public Integer getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Integer discountAmount) {
        this.discountAmount = discountAmount;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
